Pools indexed in-house across Solana + EVM L1/L2s (Solana + multi-chain EVM) — streamed in real-time by our own infrastructure. Plus aggregated TVL, yields, NFTs, swap quotes, token risk, and Bitcoin chain pulse. One key, multi-chain.
Free tier to evaluate. Pro & Enterprise tiers for production volume.
Sign up on CrypTok and generate a free API key from the API Keys tab.
Use your key via header, query param, or Bearer token.
Access pools, prices, tokens, and stats across 22 chains.
All API requests require an API key. Pass it using any of these methods:
curl -H "Authorization: Bearer ctk_live_your_key_here" \ https://cryptok.me/api/v1/stats
curl -H "X-API-Key: ctk_live_your_key_here" \ https://cryptok.me/api/v1/stats
curl "https://cryptok.me/api/v1/stats?api_key=ctk_live_your_key_here"
| Tier | Rate Limit | Daily Limit | Max Keys | Price |
|---|---|---|---|---|
| Free | 60 req/min | 1,000/day | 3 | $0 |
| Pro | 300 req/min | 50,000/day | 10 | Contact us |
| Enterprise | 1,000 req/min | 500,000/day | 25 | Contact us |
solanaethereumbasebscarbitrumpolygonavalancheAll responses are JSON. Successful responses return data directly. Errors return an error field.
{
"pools": [...],
"pagination": {
"total": 355,
"limit": 50,
"offset": 0,
"hasMore": true
}
}{
"error": "Rate limit exceeded.",
"limit": 60,
"reset": 42
}